<!doctype html>
<!--[if IE 9]><html class="lt-ie10" lang="en" > <![endif]-->
<html class="no-js" lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Upgrading From Foundation 4 | Foundation Docs</title>
    <link rel="icon" href="assets/img/icons/favicon.ico" type="image/x-icon">
    <!-- For third-generation iPad with high-resolution Retina display: -->
    <link rel="apple-touch-icon-precomposed" sizes="144x144" href="assets/img/icons/apple-touch-icon-144x144-precomposed.png">
    <!-- For iPhone with high-resolution Retina display: -->
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="assets/img/icons/apple-touch-icon-114x114-precomposed.png">
    <!-- For first- and second-generation iPad: -->
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="assets/img/icons/apple-touch-icon-72x72-precomposed.png">
    <!-- For non-Retina iPhone, iPod Touch, and Android 2.1+ devices: -->
    <link rel="apple-touch-icon-precomposed" href="assets/img/icons/apple-touch-icon-precomposed.png">

    <meta name="description" content="Documentation and reference library for ZURB Foundation. JavaScript, CSS, components, grid and more.">
    <meta name="author" content="ZURB, inc. ZURB network also includes zurb.com">
    <meta name="copyright" content="ZURB, inc. Copyright (c) 2014">

    <link href='assets/css/docs.css' rel='stylesheet' />
    <script src="assets/js/modernizr.js"></script>
  </head>
  <body class="antialiased hide-extras">
    <div class="marketing off-canvas-wrap" data-offcanvas>
      <div class="inner-wrap">

         <title>Foundation: The Most Advanced Responsive Front-end Framework from ZURB</title><meta name="description" content="Foundation from ZURB is the most advanced responsive front-end framework in the world." />
 

<!-- <nav class="tab-bar show-for-small">
  <a class="off-canvas-left-toggle menu-icon ">
    <span></span>
  </a>  
</nav> -->


<nav class="top-bar docs-bar hide-for-small" data-topbar>
  <ul class="title-area">
    <li class="name">
      <h1><a href="http://foundation.zurb.com/">Foundation</a></h1>
    </li>
  </ul>

  <section class="top-bar-section">
    <ul class="right">
      <li class="divider"></li>
      <li class="has-dropdown">
        <a href="http://foundation.zurb.com/learn/features.html" class="">Learn</a>
        <ul class="dropdown">
          <li><a href="http://foundation.zurb.com/learn/features.html">Features</a></li>
          <li><a href="http://foundation.zurb.com/learn/faq.html">FAQ</a></li>
          <li><a href="http://foundation.zurb.com/learn/case-washington-post.html">Case Studies</a></li>
          <li><a href="http://foundation.zurb.com/learn/website-examples.html">Website Examples</a></li>
          <li><a href="http://foundation.zurb.com/learn/video-started-with-foundation.html">Videos</a></li>
          <li><a href="http://foundation.zurb.com/learn/training.html">Training</a></li>
          <li><a href="http://foundation.zurb.com/learn/about.html">About</a></li>
        </ul>
      </li>
      <li class="divider"></li>
      <li class="has-dropdown">
        <a href="http://foundation.zurb.com/templates.html" class="">Develop</a>
        <ul class="dropdown">
          <li><a href="http://foundation.zurb.com/templates.html">Add-ons</a></li>
          <li><a href="http://foundation.zurb.com/docs">Docs</a></li>
          <li><a href="http://foundation.zurb.com/develop/download.html">Download</a></li>
          <li><a href="http://foundation.zurb.com/develop/contribute.html">Contribute</a></li>
          <li><a href="http://foundation.zurb.com/develop/tools.html">Tools</a></li>
        </ul>
      </li>
      <li class="divider"></li>
      <li class="has-dropdown">
        <a href="http://foundation.zurb.com/support/support.html" class="">Support</a>
        <ul class="dropdown">
          <li><a href="http://foundation.zurb.com/support/support.html">Support Channels</a></li>
          <li><a href="http://foundation.zurb.com/forum">Foundation Forum</a></li>
          <li><a href="http://foundation.zurb.com/support/images-and-badges.html">Images &amp; Badges</a></li>
        </ul>
      </li>
      <li class="divider"></li>
      <li>
        <a href="http://foundation.zurb.com/business/services.html" class="">Business</a>
      </li>
      <li class="divider"></li>
      <li>
        <a href="http://foundation.zurb.com/docs" class="">Docs</a>
      </li>
      <li class="divider"></li>
      <li class="has-form">
        <a href="http://foundation.zurb.com/docs" class="small button">Getting Started</a>
    </ul>
  </section>
</nav>
        <nav class="tab-bar show-for-small">
  <a class="left-off-canvas-toggle menu-icon">
    <span>Foundation</span>
  </a>
</nav>

<aside class="marketing-left-off-canvas-menu">

  <ul class="off-canvas-list">
    <li><label class="first">Foundation</label></li>
    <li><a href="http://foundation.zurb.com">Home</a></li>
  </ul>

  <hr>

  <ul class="off-canvas-list">
      <li><label>Setup</label></li>

      <li><a href="index.html" data-search="">Getting Started</a></li>
      <li><a href="css.html" data-search="Styles">CSS</a></li>
      <li><a href="sass.html" data-search="SCSS">Sass</a></li>
      <li><a href="applications.html" data-search="Rails,Gem">Applications</a></li>
      <li><a href="javascript.html" data-search="">Javascript</a></li>
      <li><a href="components/global.html" data-search="Global Styles,Global Mixins,Global Variables,Useful HTML Classes">Global Styles</a></li>
      <li><a href="components/kitchen_sink.html" data-search="">Kitchen Sink</a></li>
      <li><a href="upgrading.html" data-search="Migration">Upgrading</a></li>

      <li class="divider"></li>
      <li><label>Structure</label></li>
      <li><a href="media-queries.html" data-search="Breakpoints">Media Queries</a></li>
      <li><a href="components/visibility.html" data-search="">Visibility</a></li>
      <li><a href="components/grid.html" data-search="">Grid</a></li>
      <li><a href="components/block_grid.html" data-search="">Block Grid</a></li>
      <li><a href="components/interchange.html" data-search="Responsive Images">Interchange Responsive Content <span class="label">JS</span></a></li>
      <li><a href="utility-classes.html" data-search="">Utility Classes</a></li>
      <li><a href="javascript-utilities.html" data-search="">Javascript Utilities</a></li>
      <li><a href="components/rtl.html" data-search="RTL">Right-to-Left Support</a></li>

      <li class="divider"></li>
      <li><label>Navigation</label></li>
      <li><a href="components/offcanvas.html" data-search="Off Canvas">Offcanvas <span class="label">JS</span></a></li>
      <li><a href="components/topbar.html" data-search="Nav Bar,Navigation,Sticky">Top Bar <span class="label">JS</span></a></li>
      <li><a href="components/icon-bar.html" data-search="">Icon Bar</a></li>
      <li><a href="components/sidenav.html" data-search="">Side Nav</a></li>
      <li><a href="components/magellan.html" data-search="Scrollspy">Magellan Sticky Nav <span class="label">JS</span></a></li>
      <li><a href="components/subnav.html" data-search="">Sub Nav</a></li>
      <li><a href="components/breadcrumbs.html" data-search="Navigation Path,Cookie Crumb">Breadcrumbs</a></li>
      <li><a href="components/pagination.html" data-search="">Pagination</a></li>

      <li class="divider"></li>
      <li><label>Media</label></li>
      <li><a href="components/orbit.html" data-search="Carousel,Slider,Slideshow">Orbit Slider <span class="label">JS</span></a></li>
      <li><a href="components/thumbnails.html" data-search="Images">Thumbnails</a></li>
      <li><a href="components/clearing.html" data-search="Responsive Lightbox,Lightbox">Clearing Lightbox <span class="label">JS</span></a></li>
      <li><a href="components/flex_video.html" data-search="Responsive Video">Flex Video</a></li>

      <li class="divider"></li>
      <li><label>Forms</label></li>
      <li><a href="components/forms.html" data-search="">Forms</a></li>
      <li><a href="components/switch.html" data-search="">Switches</a></li>
      <li><a href="components/range_slider.html" data-search="Range Slider">Sliders <span class="label">JS</span></a></li>
      <li><a href="components/abide.html" data-search="Form Validation,Field Validation">Abide Validation <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li><label>Buttons</label></li>
      <li><a href="components/buttons.html" data-search="">Buttons</a></li>
      <li><a href="components/button_groups.html" data-search="Button Bar">Button Groups</a></li>
      <li><a href="components/split_buttons.html" data-search="">Split Buttons <span class="label">JS</span></a></li>
      <li><a href="components/dropdown_buttons.html" data-search="">Dropdown Buttons <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li><label>Typography</label></li>
      <li><a href="components/typography.html" data-search="Typography,Type-setting,Composition">Type</a></li>
      <li><a href="components/inline_lists.html" data-search="Lists">Inline Lists</a></li>
      <li><a href="components/labels.html" data-search="Tags">Labels</a></li>
      <li><a href="components/keystrokes.html" data-search="">Keystrokes</a></li>

      <li class="divider"></li>
      <li class="heading"><label>Callouts &amp; Prompts</label></li>
      <li><a href="components/reveal.html" data-search="Modal">Reveal Modal <span class="label">JS</span></a></li>
      <li><a href="components/alert_boxes.html" data-search="Error,Success,Warning">Alerts <span class="label">JS</span></a></li>
      <li><a href="components/panels.html" data-search="Wells">Panels</a></li>
      <li><a href="components/tooltips.html" data-search="Popover">Tooltips <span class="label">JS</span></a></li>
      <li><a href="components/joyride.html" data-search="Tooltip Tour,Guider,Tooltip Walk-through">Joyride <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li><label>Content</label></li>
      <li><a href="components/dropdown.html" data-search="">Dropdowns <span class="label">JS</span></a></li>
      <li><a href="components/pricing_tables.html" data-search="">Pricing Tables</a></li>
      <li><a href="components/progress_bars.html" data-search="">Progress Bars</a></li>
      <li><a href="components/tables.html" data-search="">Tables</a></li>
      <li><a href="components/accordion.html" data-search="">Accordion <span class="label">JS</span></a></li>
      <li><a href="components/tabs.html" data-search="">Tabs <span class="label">JS</span></a></li>
      <li><a href="components/equalizer.html" data-search="">Equalizer <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li><label>Support</label></li>

      <li><a href="changelog.html" data-search="">Changelog</a></li>
      <li><a href="compatibility.html" data-search="">Compatibility</a></li>

      <li class="divider"></li>
      <li class="heading"><label>Older Docs</label></li>
      <li><a href="/docs/v/4.3.2/" data-search="">Foundation 4</a></li>
      <li><a href="/docs/v/3.2.5/" data-search="">Foundation 3</a></li>
      <li><a href="/docs/v/2.2.1/" data-search="">Foundation 2</a></li>
    </ul>

    <hr>

    <div class="zurb-links">
    <ul class="top">
      <li class="logo"><a href="http://zurb.com"></a></li>
      <li><a href="http://zurb.com/about">About</a></li>
      <li><a href="http://zurb.com/blog">Blog</a></li>
      <li><a href="http://zurb.com/contact">Contact</a></li>
    </ul>
    <ul class="pillars">
      <li>
        <a href="http://www.zurb.com/studios" class="footer-link-block services">
          <span class="title">Studios</span>
          <span>Helping startups win since '98.</span>
        </a>
      </li>
      <li>
        <a href="http://foundation.zurb.com/" class="footer-link-block foundation">
          <span class="title">Foundation</span>
          <span>World's most advanced responsive framework.</span>
        </a>
      </li>
      <li>
        <a href="http://zurb.com/apps" class="footer-link-block apps">
          <span class="title">Design Apps</span>
          <span>Tools to rapidly prototype and iterate.</span>
        </a>
      </li>
      <li>
        <a href="http://zurb.com/university" class="footer-link-block expo">
          <span class="title">University</span>
          <span>Online training for smarter product design.</span>
        </a>
      </li>
    </ul>
</div>

  </ul>
</aside>

<a class="exit-off-canvas" href="#"></a>


        <section role="main" class="scroll-container">

          <div class="row">
            <div class="large-3 medium-4 columns">
              <div class="hide-for-small">
                <div class="sidebar">
  <h5>Foundation Documentation</h5>
  <form>
    <!--  <label>Search Documentation</label> -->
    <input tabindex="1" id="autocomplete" type="search" placeholder="Search Docs: e.g. forms">
  </form>

  <nav>
    <ul class="side-nav">
      <li class="heading">Setup</li>

      <li><a href="index.html" data-search="">Getting Started</a></li>
      <li><a href="css.html" data-search="Styles">CSS</a></li>
      <li><a href="sass.html" data-search="Sass">Sass</a></li>
      <li><a href="applications.html" data-search="Rails,Gem">Applications</a></li>
      <li><a href="javascript.html" data-search="">JavaScript</a></li>
      <li><a href="components/global.html" data-search="Global Styles,Global Mixins,Global Variables,Useful HTML Classes">Global Styles</a></li>
      <li><a href="components/kitchen_sink.html" data-search="">Kitchen Sink</a></li>
      <li><a href="upgrading.html" data-search="Migration">Upgrading</a></li>

      <li class="divider"></li>
      <li class="heading">Structure</li>
      <li><a href="media-queries.html" data-search="Breakpoints">Media Queries</a></li>
      <li><a href="components/visibility.html" data-search="">Visibility</a></li>
      <li><a href="components/grid.html" data-search="">Grid</a></li>
      <li><a href="components/block_grid.html" data-search="">Block Grid</a></li>
      <li><a href="components/interchange.html" data-search="Responsive Images">Interchange Responsive Content <span class="label">JS</span></a></li>
      <li><a href="utility-classes.html" data-search="">Utility Classes</a></li>
      <li><a href="javascript-utilities.html" data-search="">Javascript Utilities</a></li>
      <li><a href="components/rtl.html" data-search="RTL">Right-to-Left Support</a></li>

      <li class="divider"></li>
      <li class="heading">Navigation</li>
      <li><a href="components/offcanvas.html" data-search="Off Canvas">Offcanvas <span class="label">JS</span></a></li>
      <li><a href="components/topbar.html" data-search="Nav Bar,Navigation,Sticky">Top Bar <span class="label">JS</span></a></li>
      <li><a href="components/icon-bar.html" data-search="">Icon Bar</a></li>
      <li><a href="components/sidenav.html" data-search="">Side Nav</a></li>
      <li><a href="components/magellan.html" data-search="Scrollspy">Magellan Sticky Nav <span class="label">JS</span></a></li>
      <li><a href="components/subnav.html" data-search="">Sub Nav</a></li>
      <li><a href="components/breadcrumbs.html" data-search="Navigation Path,Cookie Crumb">Breadcrumbs</a></li>
      <li><a href="components/pagination.html" data-search="">Pagination</a></li>

      <li class="divider"></li>
      <li class="heading">Media</li>
      <li><a href="components/orbit.html" data-search="Carousel,Slider,Slideshow">Orbit Slider <span class="label">JS</span></a></li>
      <li><a href="components/thumbnails.html" data-search="Images">Thumbnails</a></li>
      <li><a href="components/clearing.html" data-search="Responsive Lightbox,Lightbox">Clearing Lightbox <span class="label">JS</span></a></li>
      <li><a href="components/flex_video.html" data-search="Responsive Video">Flex Video</a></li>

      <li class="divider"></li>
      <li class="heading">Forms</li>
      <li><a href="components/forms.html" data-search="">Forms</a></li>
      <li><a href="components/switch.html" data-search="">Switches</a></li>
      <li><a href="components/range_slider.html" data-search="Range Slider">Range Sliders <span class="label">JS</span></a></li>
      <li><a href="components/abide.html" data-search="Form Validation,Field Validation">Abide Validation <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li class="heading">Buttons</li>
      <li><a href="components/buttons.html" data-search="">Buttons</a></li>
      <li><a href="components/button_groups.html" data-search="Button Bar">Button Groups</a></li>
      <li><a href="components/split_buttons.html" data-search="">Split Buttons <span class="label">JS</span></a></li>
      <li><a href="components/dropdown_buttons.html" data-search="">Dropdown Buttons <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li class="heading">Typography</li>
      <li><a href="components/typography.html" data-search="Typography,Type-setting,Composition">Type</a></li>
      <li><a href="components/inline_lists.html" data-search="Lists">Inline Lists</a></li>
      <li><a href="components/labels.html" data-search="Tags">Labels</a></li>
      <li><a href="components/keystrokes.html" data-search="">Keystrokes</a></li>

      <li class="divider"></li>
      <li class="heading">Callouts &amp; Prompts</li>
      <li><a href="components/reveal.html" data-search="Modal">Reveal Modal <span class="label">JS</span></a></li>
      <li><a href="components/alert_boxes.html" data-search="Error,Success,Warning">Alerts <span class="label">JS</span></a></li>
      <li><a href="components/panels.html" data-search="Wells">Panels</a></li>
      <li><a href="components/tooltips.html" data-search="Popover">Tooltips <span class="label">JS</span></a></li>
      <li><a href="components/joyride.html" data-search="Tooltip Tour,Guider,Tooltip Walk-through">Joyride <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li class="heading">Content</li>
      <li><a href="components/dropdown.html" data-search="">Dropdowns <span class="label">JS</span></a></li>
      <li><a href="components/pricing_tables.html" data-search="">Pricing Tables</a></li>
      <li><a href="components/progress_bars.html" data-search="">Progress Bars</a></li>
      <li><a href="components/tables.html" data-search="">Tables</a></li>
      <li><a href="components/accordion.html" data-search="">Accordion <span class="label">JS</span></a></li>
      <li><a href="components/tabs.html" data-search="">Tabs <span class="label">JS</span></a></li>
      <li><a href="components/equalizer.html" data-search="">Equalizer <span class="label">JS</span></a></li>

      <li class="divider"></li>
      <li class="heading">Support</li>

      <li><a href="changelog.html" data-search="">Changelog</a></li>
      <li><a href="compatibility.html" data-search="">Compatibility</a></li>

      <li class="divider"></li>
      <li class="heading">Older Docs</li>
      <li><a href="/docs/v/4.3.2/" data-search="">Foundation 4</a></li>
      <li><a href="/docs/v/3.2.5/" data-search="">Foundation 3</a></li>
      <li><a href="/docs/v/2.2.1/" data-search="">Foundation 2</a></li>

    </ul>
  </nav>

  <a href="/develop/download.html" class="download button expand">Download Foundation</a>

  <section id="jobs">
    <h5>Get a job, nerd!</h5>
    <script type="text/javascript" src="http://www.zurb.com/jobs/widgets/jobs.js?limit=3"></script>
    <p class="via">via <a href="http://www.zurb.com/jobs">Job Board from ZURB</a></p>
  </section>

</div>
              </div>
            </div>
            <div class="large-9 medium-8 columns">
              <h1 id="upgrading-from-foundation-4">Upgrading From Foundation 4</h1>
              <h3 class="subheader">Need to upgrade from Foundation 4? No problem. This handy migration guide makes it super easy!</h3>

<h3 id="upgrade-your-rails-project">Upgrade your Rails project</h3>
<p>Change the following line in your <code>Gemfile</code>:</p>
<pre><code class="language-ruby"><div class="code-container">gem <span class="string">'zurb-foundation'</span></div></code></pre>
<p>to:</p>
<pre><code class="language-ruby"><div class="code-container">gem <span class="string">'foundation-rails'</span></div></code></pre>
<p>Then run <code>bundle install</code>.</p>
<hr>
<h3 id="upgrade-using-our-cli-and-compass">Upgrade using our CLI and Compass</h3>
<p>Before continuing you&#39;ll need to install the following on your system:</p>
<ul>
<li><a href="http://nodejs.org">NodeJS</a></li>
<li><a href="http://bower.io">bower</a> (sudo npm install -g bower)</li>
</ul>
<p>Our CLI can help you upgrade your Foundation 4 project to Foundation 5. It can be installed using the following commands in terminal:</p>
<pre><code class="language-bash"><div class="code-container">gem install foundation
foundation version <span class="comment">#=&gt; should say v1.0.3 or higher</span></div></code></pre>
<p>So let&#39;s assume you have a project in <code>~/Sites/PROJECT_NAME</code>. To upgrade it to Foundation 5 you would run the following in terminal:</p>
<pre><code class="language-bash"><div class="code-container">cd ~/Sites/PROJECT_NAME
foundation upgrade</div></code></pre>
<hr>
<h3 id="upgrade-manually-with-compass">Upgrade manually with Compass</h3>
<p>Before continuing you&#39;ll need to install the following on your system:</p>
<ul>
<li><a href="http://nodejs.org">NodeJS</a></li>
<li><a href="http://bower.io">bower</a> (sudo npm install -g bower)</li>
</ul>
<p>Starting in Foundation 5 there&#39;s no longer a Compass extension. Instead we use <a href="http://bower.io">bower</a> to keep Foundation assets up to date within your project. Here&#39;s how you can update your project:</p>
<h4 id="step-1-create-a-bower-json-file">Step 1: Create a bower.json file</h4>
<p>In the root of your Compass project create a file called <code>bower.json</code> with this content:</p>
<pre><code class="language-js"><div class="code-container">{
  <span class="string">"name"</span>: <span class="string">"PROJECT_NAME"</span>,
  <span class="string">"dependencies"</span>: {
    <span class="string">"foundation"</span>: <span class="string">"~5.1.0"</span>
  }
}</div></code></pre>
<h4 id="step-2-install-foundation-5">Step 2: Install Foundation 5</h4>
<p>Now run <code>bower install</code>. This will create a directory called <code>bower_components/</code> in your project. Foundation&#39;s Sass and JavaScript files will be placed in the <code>bower_components/foundation</code> folder.</p>
<h4 id="step-3-tell-compass-where-foundation-resides">Step 3: Tell Compass where Foundation resides</h4>
<p>You&#39;ll want to update your <code>config.rb</code> folder to change this line from:</p>
<pre><code class="language-ruby"><div class="code-container"><span class="keyword">require</span> <span class="string">"zurb-foundation"</span></div></code></pre>
<p>to:</p>
<pre><code class="language-ruby"><div class="code-container">add_import_path <span class="string">"bower_components/foundation/scss"</span></div></code></pre>
<h4 id="step-4-update-javascript-links">Step 4: Update JavaScript links</h4>
<p>Any references to the JavaScript files in your project will have changed. Links to Foundation JavaScript files should be changed from:</p>
<pre><code class="language-html"><div class="code-container"><span class="tag">&lt;<span class="title">script</span> <span class="attribute">src</span>=<span class="value">"javascripts/foundation.min.js"</span>&gt;</span><span class="javascript"></span><span class="tag">&lt;/<span class="title">script</span>&gt;</span></div></code></pre>
<p>to:</p>
<pre><code class="language-html"><div class="code-container"><span class="tag">&lt;<span class="title">script</span> <span class="attribute">src</span>=<span class="value">"bower_components/foundation/js/foundation.min.js"</span>&gt;</span><span class="javascript"></span><span class="tag">&lt;/<span class="title">script</span>&gt;</span></div></code></pre>
<p>This will ensure that when you run <code>bower update</code> to fetch the latest version of Foundation that the JavaScript is also updated.</p>
<h4 id="step-5-recompile-your-project">Step 5: Recompile your project</h4>
<p>Now run <code>compass watch</code> to recompile your project. If you see any errors please jump down to the upgrading your Sass section.</p>
<hr>
<h3 id="upgrading-the-sass">Upgrading the Sass</h3>
<p>In Foundation 5 we removed the following components:</p>
<pre><code class="language-scss"><div class="code-container"><span class="at_rule">@<span class="keyword">import</span> <span class="string">"foundation/components/sections"</span>;</span>
<span class="at_rule">@<span class="keyword">import</span> <span class="string">"foundation/components/custom-forms"</span>;</span></div></code></pre>
<hr>
<h3 id="upgrading-the-javascript">Upgrading the JavaScript</h3>
<p>We have built a migration plugin, <a href="http://github.com/zurb/foundation-migrate">foundation-migrate</a>, that will guide you through moving your old Foundation JavaScript over to the new syntax.</p>
<p>Foundation 5 removes support for Zepto. Here&#39;s how you can switch Zepto for jQuery:</p>
<h4>HTML</h4>

<pre><code class="language-html"><div class="code-container"><span class="comment">&lt;!-- old Foundation 4 embed code --&gt;</span>
<span class="tag">&lt;<span class="title">script</span>&gt;</span><span class="javascript">
  document.write(<span class="string">'&lt;script src=/js/vendor/'</span>
    + (<span class="string">'__proto__'</span> <span class="keyword">in</span> {} ? <span class="string">'zepto'</span> : <span class="string">'jquery'</span>)
    + <span class="string">'.js&gt;&lt;\/script&gt;'</span>);
</span><span class="tag">&lt;/<span class="title">script</span>&gt;</span></div></code></pre>
<p>All you need to do is add jQuery to the end of your <code>body</code>:</p>
<h4>HTML</h4>

<pre><code class="language-html"><div class="code-container"><span class="tag">&lt;<span class="title">script</span> <span class="attribute">src</span>=<span class="value">"/js/vendor/jquery.js"</span>&gt;</span><span class="javascript"></span><span class="tag">&lt;/<span class="title">script</span>&gt;</span></div></code></pre>
<p>After you have included jQuery, you can drop in the Foundation library and initialize Foundation:</p>
<h4>HTML</h4>

<pre><code class="language-html"><div class="code-container"><span class="tag">&lt;<span class="title">script</span> <span class="attribute">src</span>=<span class="value">"/js/vendor/jquery.js"</span>&gt;</span><span class="javascript"></span><span class="tag">&lt;/<span class="title">script</span>&gt;</span>
<span class="tag">&lt;<span class="title">script</span> <span class="attribute">src</span>=<span class="value">"/js/foundation/foundation.min.js"</span>&gt;</span><span class="javascript"></span><span class="tag">&lt;/<span class="title">script</span>&gt;</span>
<span class="tag">&lt;<span class="title">script</span>&gt;</span><span class="javascript">
  $(document).foundation();
</span><span class="tag">&lt;/<span class="title">script</span>&gt;</span></div></code></pre>
<p>In Foundation 4, you could pass a string of the plugins you want to initialize like <code>$(document).foundation(&#39;topbar reveal&#39;);</code>. You can no longer do this in Foundation 5. Everything is initialized by default.</p>
<hr>
<h3 id="configuration-changes">Configuration changes</h3>
<p>Configuration options are passed a little differently to the Foundation libraries:</p>
<div class="row">
  <div class="large-6 columns">
    <h4>The old way</h4>

<pre><code class="language-js"><div class="code-container">$(document).foundation(<span class="string">&#39;dropdown&#39;</span>, {is_hover: <span class="literal">false</span>});</div></code></pre>

  </div>
  <div class="large-6 columns">
    <h4>The new way</h4>

<pre><code class="language-js"><div class="code-container">$(document).foundation({dropdown: {is_hover: <span class="literal">false</span>}});</div></code></pre>

  </div>
</div>

<p>In Foundation 5 you can reconfigure variables on the fly after the page has loaded and Foundation has been initialized:</p>
<h4>JS</h4>

<pre><code class="language-js"><div class="code-container">$(<span class="string">'#myTarget'</span>).foundation({dropdown: {is_hover: <span class="literal">true</span>}});</div></code></pre>


<hr>
<h3 id="javascript-variable-changes">Javascript Variable Changes</h3>
<p>All Javascript configuration variables are now <code>under_score</code> instead of <code>camelCase</code>:</p>
<table>
  <thead>
    <tr>
      <th width="200">Library</th>
      <th>Foundation 4</th>
      <th width="150">Foundation 5</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>dropdown</td>
      <td>activeClass</td>
      <td>active_class</td>
    </tr>
    <tr>
      <td>topbar</td>
      <td>stickyClass</td>
      <td>sticky_class</td>
    </tr>
    <tr>
      <td>joyride</td>
      <td>tipLocation</td>
      <td>tip_location</td>
    </tr>
    <tr>
      <td></td>
      <td>nubPosition</td>
      <td>nub_position</td>
    </tr>
    <tr>
      <td></td>
      <td>scrollSpeed</td>
      <td>scroll_speed</td>
    </tr>
    <tr>
      <td></td>
      <td>startTimeOnClick</td>
      <td>start_timer_on_click</td>
    </tr>
    <tr>
      <td></td>
      <td>startOffset</td>
      <td>start_offset</td>
    </tr>
    <tr>
      <td></td>
      <td>nextButton</td>
      <td>next_button</td>
    </tr>
    <tr>
      <td></td>
      <td>tipAnimation</td>
      <td>tip_animation</td>
    </tr>
    <tr>
      <td></td>
      <td>pauseAfter</td>
      <td>pause_after</td>
    </tr>
    <tr>
      <td></td>
      <td>tipAnimationFadeSpeed</td>
      <td>tip_animation_fade_speed</td>
    </tr>
    <tr>
      <td></td>
      <td>cookieMonster</td>
      <td>cookie_monster</td>
    </tr>
    <tr>
      <td></td>
      <td>cookieName</td>
      <td>cookie_name</td>
    </tr>
    <tr>
      <td></td>
      <td>cookieDomain</td>
      <td>cookie_domain</td>
    </tr>
    <tr>
      <td></td>
      <td>cookieExpires</td>
      <td>cookie_expires</td>
    </tr>
    <tr>
      <td></td>
      <td>tipContainer</td>
      <td>tip_container</td>
    </tr>
    <tr>
      <td></td>
      <td>postRideCallback</td>
      <td>post_ride_callback</td>
    </tr>
    <tr>
      <td></td>
      <td>postStepCallback</td>
      <td>post_step_callback</td>
    </tr>
    <tr>
      <td></td>
      <td>preStepCallback</td>
      <td>pre_step_callback</td>
    </tr>
    <tr>
      <td></td>
      <td>preRideCallback</td>
      <td>pre_ride_callback</td>
    </tr>
    <tr>
      <td></td>
      <td>postExposeCallback</td>
      <td>post_expose_callback</td>
    </tr>
    <tr>
      <td></td>
      <td>exposeAddClass</td>
      <td>expose_add_class</td>
    </tr>
    <tr>
      <td>magellan</td>
      <td>activeClass</td>
      <td>active_class</td>
    </tr>
    <tr>
      <td>reveal</td>
      <td>animationSpeed</td>
      <td>animation_speed</td>
    </tr>
    <tr>
      <td></td>
      <td>closeOnBackgroundClick</td>
      <td>close_on_background_click</td>
    </tr>
    <tr>
      <td></td>
      <td>closeOnEsc</td>
      <td>close_on_esc</td>
    </tr>
    <tr>
      <td></td>
      <td>dismissModalClass</td>
      <td>dismiss_modal_class</td>
    </tr>
    <tr>
      <td></td>
      <td>bgClass</td>
      <td>bg_class</td>
    </tr>
    <tr>
      <td>tooltip</td>
      <td>additionalInheritableClasses</td>
      <td>additional_inheritable_classes</td>
    </tr>
    <tr>
      <td></td>
      <td>tooltipClass</td>
      <td>tooltip_class</td>
    </tr>
    <tr>
      <td></td>
      <td>touchCloseText</td>
      <td>touch_close_text</td>
    </tr>
    <tr>
      <td></td>
      <td>appendTo</td>
      <td>append_to</td>
    </tr>
    <tr>
      <td></td>
      <td>tipTemplate</td>
      <td>tip_template</td>
    </tr>
  </tbody>
</table>


            </div>
          </div>
          <section id="courses-banner-large">
  <div class="row">
    <div class="large-5 medium-5 columns banner-image">
      <img src="http://foundation.zurb.com/assets/img/responsive-banner-main.svg" alt="responsive design">
    </div>
    <div class="large-7 medium-7 columns banner-info">
      <h3>Get a running start with Foundation</h3>
      <p>Learn the fundamentals of the world's most advanced responsive framework in our <strong>Intro to Foundation class.</strong> You'll learn from the creators themselves on how to use Foundation and jumpstart your next project. <a href="http://zurb.com/university/courses" class="inline-hide">Learn more about classes »</a></p>
      <a href="http://zurb.com/university/foundation-intro?utm_source=Foundation%20Docs&utm_medium=Large%20Banner&utm_campaign=Intro%20to%20Foundation" class="button">Learn More</a>
      <a href="http://zurb.com/university/courses" class="learn-more hide-for-medium-up">Learn more about classes »</a>
    </div>
  </div>
</section>
          <div id="newsletter">
  <div class="row">
    <div class="medium-8 columns">
      <h5>Stay on top of what&rsquo;s happening in <a href="http://zurb.com/responsive">responsive design</a>.</h5>
      <p>Sign up to receive monthly Responsive Reading highlights. <a href="http://zurb.com/responsive/reading">Read Last Month's Edition &raquo;</a></p>
    </div>
    <div class="medium-4 columns">
      <form method="post" action="http://zurb.com/responsive/subscribe">
        <div class="row collapse margintop-20px">
          <div class="small-8 medium-8 columns">
            <input type="text" name="email" placeholder="signup@example.com">
          </div>
          <div class="small-4 medium-4 columns">
            <input type="submit" href="#" class="postfix small button expand" value="Sign Up">
          </div>
        </div>
      </form>
    </div>
  </div>
</div>


<div class="zurb-footer-top bg-fblue">
  <div class="row property">
    <div class="medium-4 columns">
      <div class="property-info">
        <h3>Foundation</h3>
        <p>Foundation is made by <a href="http://zurb.com">ZURB, a product design</a> company in Campbell, California. We've put more than 15 years of experience building web products, services and websites into this framework.
        </p>
      </div>
    </div>

    <div class="medium-8 columns">
      <div class="row collapse">
        <div class="medium-4 columns">
          <div class="learn-links">
            <h4 class="hide-for-small">Want more?</h4>
            <ul>
              <li><a href="http://foundation.zurb.com/business/services.html">Foundation Business</a></li>
              <li><a href="http://zurb.com/responsive">Responsive</a></li>
              <li><a href="http://zurb.com/apps">Design Apps</a></li>
              <li><a href="http://foundation.zurb.com/learn/training.html">Foundation Training</a></li>
            </ul>
          </div>
        </div>
          <div class="medium-4 columns">
            <div class="support-links">
              <h4 class="hide-for-small">Talk to us</h4>
              <p>Tweet us at <br> <a href="https://twitter.com/foundationzurb">@foundationzurb</a></p>
              <p>Email us at <br> <a href="mailto:foundation@zurb.com">foundation@zurb.com</a><br> or check our <a href="../support/support.html">support page</a></p>
            </div>
          </div>
        <div class="medium-4 columns">
          <div class="connect-links">
            <h4 class="hide-for-small">Stay in touch</h4>
            <p>Keep up with the latest on Foundation. Find us on <a href="https://github.com/zurb/foundation">Github</a>.</p>
            <a href="http://zurb.com/news" class="small button">Stay Connected</a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="row global">
    <div class="medium-3 small-6 columns">
      <a href="http://zurb.com/studios" class="footer-link-block services">
        <span class="title">Studios</span>
        <span>Helping more than 200 startups succeed since 1998.</span>
      </a>
    </div>
    <div class="medium-3 small-6 columns">
      <a href="http://foundation.zurb.com/" class="footer-link-block foundation">
        <span class="title">Foundation</span>
        <span>The most advanced front-end framework in the world.</span>
      </a>
    </div>
    <div class="medium-3 small-6 columns">
      <a href="http://zurb.com/apps" class="footer-link-block apps">
        <span class="title">Design Apps</span>
        <span>Prototype, iterate and collect feedback on your products.</span>
      </a>
    </div>
    <div class="medium-3 small-6 columns">
      <a href="http://zurb.com/university" class="footer-link-block expo">
        <span class="title">University</span>
        <span>Ideas, thoughts and design resources shared with you.</span>
      </a>
    </div>
  </div>
</div>

<div class="zurb-footer-bottom">
  <div class="row">
    <div class="medium-4 medium-4 push-8 columns">
      <ul class="home-social">
          <li><a href="http://www.twitter.com/ZURB" class="twitter"></a></li>
          <li><a href="http://www.facebook.com/ZURB" class="facebook"></a></li>
          <li><a href="http://zurb.com/contact" class="mail"></a></li>
        </ul>
     </div>
     <div class="medium-8 medium-8 pull-4 columns">
        <a href="http://www.zurb.com" class="zurb-logo regular"></a>
        <ul class="zurb-links">
          <li><a href="http://zurb.com/about">About</a></li>
          <li><a href="http://zurb.com/blog">Blog</a></li>
          <li><a href="http://zurb.com/news">News<span class="show-for-medium-up"> &amp; Events</span></a></li>
          <li><a href="http://zurb.com/contact">Contact</a></li>
          <li><a href="http://zurb.com/sitemap">Sitemap</a></li>
       </ul>
       <p class="copyright">&copy; 1998&dash;2014 ZURB, Inc. All rights reserved.</p>
    </div>
  </div>
</div>

        </section>

      </div>
    </div>

    <script src="assets/js/templates.js"></script>
    <script src="assets/js/all.js"></script>
    <script>
      var _gaq = _gaq || [];
      _gaq.push(
        ['_setAccount', 'UA-2195009-2'],
        ['_trackPageview'],
        ['b._setAccount', 'UA-2195009-27'],
        ['b._trackPageview']
      );

      (function() {
        var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
        ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
        var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
      })();
    </script>
    <script>
      $(document).foundation().foundation('joyride', 'start');
    </script>
  </body>
</html>
